Creates a manual group (max 30 manual groups per budget). Bank groups come from Connections.
POST
/v1/create_investment_groupBody
| Field | Type | Required | Default | Description |
|---|---|---|---|---|
| idempotencyKey | string | Yes | — | Client-generated key (1–128 chars: letters, digits, . _ : -). Same key + same body replays; different body returns 409. Prefer Idempotency-Key HTTP header when calling the Tools API. |
| budgetId | string | Yes | — | Budget that will own the group. |
| name | string | Yes | — | Display name for the manual investment group (max 100 characters). |
Response data
| Field | Type | Description |
|---|---|---|
| id | string | New group id. |
| budgetId | string | Id of the budget this resource belongs to. |
| source | string | Always manual. |
| groupKey | string | manual:{id}. |